Bug 487584 - i386 package installation via SDC fails on x86_64
i386 package installation via SDC fails on x86_64
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity high
: ---
: ---
Assigned To: Brad Buckingham
Steve Salevan
:
Depends On:
Blocks: 471789
  Show dependency treegraph
 
Reported: 2009-02-26 15:29 EST by Steve Salevan
Modified: 2009-08-13 16:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 10:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of rhn_check and rpm -q (74.06 KB, text/plain)
2009-03-11 14:30 EDT, Steve Salevan
no flags Details

  None (edit)
Description Steve Salevan 2009-02-26 15:29:54 EST
Description of problem:
If a user attempts to install an i386 package on an x86_64 client via the SDC, the x86_64 equivalent will instead be installed.  For more information, visit:

https://bugzilla.redhat.com/show_bug.cgi?id=456450

Version-Release number of selected component (if applicable):
530-re20090220.1

How reproducible:
Always

Steps to Reproduce (copied from BZ #456450):
1. select Systems
2. select an x86_64 system
3. select Software -> Packages -> Install
4. select a Package that exists for both x86_64 and i386 (e.g. libjpeg)
5. schedule package install
6. run rhn_check -vvv on client at appropriate time to install the package 
  
Actual results (copied from BZ #456450):
On 3, observe that the package list does not indicate package architecture.
After 6, observe that the x86_64 version of the package has been installed.

Expected results (copied from BZ #456450):
On 3, user should be able to select any package that is available to the system;
therefore, if both i386 and x86_64 is available, they should see both listed.
After 6, the package selected (e.g. i386) should be installed

Additional info:
Comment 1 Brad Buckingham 2009-03-02 22:41:12 EST
For step 3, are you indicating that there is no column for "Architecture" or that the column exists, but it's content is empty?  If possible, please provide a screenshot or send me a URL to the server so that I can log in an look at the behavior you are seeing.

Also, what is the client version being used?  
(Note: must be RHEL4.8 or 5.4 in order for the multi-arch enhancements to be fully functional)
Comment 2 Steve Salevan 2009-03-03 10:38:19 EST
Whoops...  I think that you caught a bug in my bug.  Disregard everything related to Step 3 in the Actual/Expected results, as the Architecture column shows up and is appropriately populated by each package's respective architecture.

I'm using RHEL 5.3 on my x86_64 client...  to the best of my knowledge, 5.4 is still in its development phase, though I can certainly wait for it to move to QA to test on RHEL 5 should 5.3 be inadequate.
Comment 3 Brad Buckingham 2009-03-03 11:32:59 EST
That is good regarding step 4.

If possible, you might run the same test, run rhn_check -vvvvv from the client and capture the output from rhn_check.  This should show us what information is being communicated to the client.  If Satellite does not communicate the arch of the package (e.g. i386) in this case, then it may be a problem on the UI side; otherwise, it could be a problem in the client in which case we can check with Pradeep to see if this is a case that should work in RHEL 5.3.  (There are some fixes for multiarch that went in in RHEL 5.3 and others that went in to 5.4.)
Comment 4 Steve Salevan 2009-03-11 14:30:00 EDT
Upon further review, this test succeeds on RHEL 5.3, and I've attached the output from rhn_check and rpm -q to verify this success.
Comment 6 Brad Buckingham 2009-03-17 18:48:56 EDT
Per our chat, please let me know if the behavior has been confirmed with a RHEL 4.8 client.
Comment 7 Steve Salevan 2009-03-23 10:54:38 EDT
Correct behavior confirmed on a RHEL4.8 client too; moving to CLOSED, NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.